MGASA-2020-0020 - Updated libxml2 packages fix security vulnerability

Publication date: 05 Jan 2020
URL: https://advisories.mageia.org/MGASA-2020-0020.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2019-19956

The updated packages fix a security vulnerability:

xmlParseBalancedChunkMemoryRecover in parser.c in libxml2 before 2.9.10
has a memory leak related to newDoc->oldNs. (CVE-2019-19956)

References:
- https://bugs.mageia.org/show_bug.cgi?id=25985
- https://www.debian.org/lts/security/2019/dla-2048
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19956

SRPMS:
- 7/core/libxml2-2.9.9-2.1.mga7